-- 牢狱左侧信息栏（罪恶值过高）
checkRequire("Lua_LeftInfoBaseWindow");
Lua_LaoYuLeftInfoWindow = class("Lua_LaoYuLeftInfoWindow", Lua_LeftInfoBaseWindow);
function Lua_LaoYuLeftInfoWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_LaoYuLeftInfoWindow";
	self.skinName = "LaoYuLeftInfoWindow_skin";
end

function Lua_LaoYuLeftInfoWindow:buildShowItem()
	self:superCall("buildShowItem");
	
	local cData = Lua_SceneConfigData.getSceneConfig(DataCenter.roleData.sceneId);
	self.titleTxt.text = cData.name;
	self.infoTxt.text = LanUtil.getValue(122238);

	self.infoBtn:addClickFuntion(self, self.onInfoClick);
	self.buyBtn:addClickFuntion(self, self.onBuyClick);

	self:onProperUpdate();

	self:addLuaEvent("PLAYER_KILL_VALUE", self, self.onProperUpdate);
end

function Lua_LaoYuLeftInfoWindow:onProperUpdate(obj)
	self.curTxt.text = LanUtil.formateStr(LanUtil.getValue(122237), tostring(DataCenter.roleData.kill_value));
end

function Lua_LaoYuLeftInfoWindow:onInfoClick(obj)
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", nil, LanUtil.getValue(122239));
end

function Lua_LaoYuLeftInfoWindow:onBuyClick(obj)
	Lua_WindowUtil.openWin("Lua_ItemBuyWindow", nil, 
		{itemId = Lua_CommonUtil.getCommonConfig("xizui_item", 1), moneyType = Lua_MoneyData.GOLD});
end